/*
	main.js file
*/
require(['Renderer'],
function(Renderer){
	'use strict';

    Physijs.scripts.worker = '/leap/leap-physics/js/lib/physijs_worker.js';
    Physijs.scripts.ammo = '/leap/leap-physics/js/lib/ammo.js';

    window.requestAnimFrame = (function(){
      return  window.requestAnimationFrame       ||
              window.webkitRequestAnimationFrame ||
              window.mozRequestAnimationFrame    ||
              function( callback ){
                window.setTimeout(callback, 1000 / 60);
              };
    })();

	var renderer = new Renderer(),
		firstFrame;

    Leap.loop({enableGestures: true}, function(frame){
    	if(frame.valid){
    		if(!firstFrame){
    			firstFrame = frame;
    		}

    		if(frame.fingers.length){
    			_(frame.fingers).each(function(finger){
    				renderer.showFinger(finger.tipPosition);
    			});
    			_(frame.hands).each(function(hand){
    				renderer.showHand(hand.palmPosition, hand.rotation);
    			});
    		}
    	}
    });

    (function animloop(){
        requestAnimFrame(animloop);

        renderer.render();
    })();

	$('body').append(renderer.getDom());

});
